# DAFormFunction1

Evaluates a user provided function on each processor that share a DA

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAFormFunction1(DA da,Vec vu,Vec vfu,void *w)

### Input Parameters

| da | - the DA that defines the grid
| vu | - input vector
| vfu | - output vector
| w | - any user data

Notes: Does NOT do ghost updates on vu upon entry

### See Also

DAComputeJacobian1WithAdic()

Level:advanced
Location:src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex24.c.html